ClassLibrary
Date: 2017-03-29

com.thoughtworks.qdox.model

## Class ClassLibrary

- java.lang.Object
- - com.thoughtworks.qdox.model.ClassLibrary

- All Implemented Interfaces:
    java.io.Serializable

      public class ClassLibrary
      extends java.lang.Object
      implements java.io.Serializable

  Important!! Be sure to add a classloader with the bootstrap classes.

  Normally you can generate your classLibrary like this:
  `ClassLibrary classLibrary = new ClassLibrary(); classLibrary.addDefaultLoader();`

  If you want full control over the classLoaders you might want to create your library like:
  `ClassLibrary classLibrary = new ClassLibrary( ClassLoader.getSystemClassLoader() )`

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassLibrary()` Remember to add bootstrap classes
    `ClassLibrary(java.lang.ClassLoader loader)` Remember to add bootstrap classes

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String className)`
    `void` | `addClassLoader(java.lang.ClassLoader classLoader)`
    `void` | `addDefaultLoader()`
    `void` | `addSourceFolder(java.io.File sourceFolder)`
    `java.util.Collection` | `all()`
    `boolean` | `contains(java.lang.String className)`
    `java.lang.Class` | `getClass(java.lang.String className)`
    `java.io.File` | `getSourceFile(java.lang.String className)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassLibrary

          public ClassLibrary()

      Remember to add bootstrap classes

    - #### ClassLibrary

          public ClassLibrary(java.lang.ClassLoader loader)

      Remember to add bootstrap classes

  - ### Method Detail

    - #### add

          public void add(java.lang.String className)

    - #### contains

          public boolean contains(java.lang.String className)

    - #### getSourceFile

          public java.io.File getSourceFile(java.lang.String className)

    - #### getClass

          public java.lang.Class getClass(java.lang.String className)

    - #### all

          public java.util.Collection all()

    - #### addClassLoader

          public void addClassLoader(java.lang.ClassLoader classLoader)

    - #### addDefaultLoader

          public void addDefaultLoader()

    - #### addSourceFolder

          public void addSourceFolder(java.io.File sourceFolder)